Bug 58920 - lang/php4 compiles with unexcpected libs
Summary: lang/php4 compiles with unexcpected libs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-04 13:50 UTC by dirk.meyer
Modified: 2004-01-24 13:16 UTC (History)
0 users

See Also:


Attachments
file.diff (626 bytes, patch)
2003-11-04 13:50 UTC, dirk.meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2003-11-04 13:50:19 UTC
	Building on a clean system,
	php4 can't be build with snmp4 support.
	it will only use net/net-snmp (version5)

Fix: make a explicit option in the configure script or
	apply this patch:

	- new sub-obtions to force dependencies explicit:
	WITH_SNMP4,
How-To-Repeat: 
$ make WITH_SNMP=yes all-depends-list
/usr/ports/converters/libiconv
/usr/ports/databases/mysql40-client
/usr/ports/devel/autoconf213
/usr/ports/devel/bison
/usr/ports/devel/gettext
/usr/ports/devel/libtool13
/usr/ports/devel/m4
/usr/ports/devel/mm
/usr/ports/net/net-snmp
/usr/ports/security/openssl
/usr/ports/sysutils/rc_subr
/usr/ports/textproc/expat2
/usr/ports/www/apache13-modssl
Comment 1 Norikatsu Shigemura freebsd_committer 2004-01-15 18:02:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer.
Comment 2 Alex Dupre freebsd_committer 2004-01-24 13:16:13 UTC
State Changed
From-To: open->closed

Committed, thanks!